package cn.freemud.demoTest.service;

import cn.freemud.base.entity.BaseResponse;
import cn.freemud.demoTest.entities.ResponseBuilder;
import cn.freemud.demoTest.entities.bo.BasePaySuccessBo;

public interface PaySuccessService {


    /**
     * 获取订单信息
     * @param baseRequestDTO
     * @return
     */
    default BaseResponse getOrderInfo(BasePaySuccessBo baseRequestDTO) {
        return ResponseBuilder.success();
    }

    /**
     * 获取购物车信息
     * @param baseRequestDTO
     * @return
     */
    default BaseResponse paySuccessDefault(BasePaySuccessBo baseRequestDTO) {
        return ResponseBuilder.success();
    }


    /**
     * 封装客制化返回
     * @param baseRequestDTO
     * @return
     */
    default BaseResponse paySuccessAfter(BasePaySuccessBo baseRequestDTO) {
        return ResponseBuilder.success();
    }


}
